## gt4f90io-g95 20070305+20070330

=== Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io top directory
#
# Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20070305 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:COPYRIGHT]
#
#vi: set ts=8 sw=4:
#
######################################################################
#
#== Settings
#
# [JAPANESE] Ƽ

INCLUDEFILE = Config.mk
include $(INCLUDEFILE) # Include file              (optional)
                       # [JA] 󥯥롼ɥե (Ǥ)

GuideFiles = INSTALL HISTORY INSTALL_netcdf CREDITS
                       # Documentation located in top directory       (optional)
                       # ȥåץǥ쥯ȥ֤ɥȥե (Ǥ)

# End Settings  [JA] ܤޤ
######################################################################

######################################################################
#== Set GuideRDFiles
GuideRDFiles = $(GuideFiles:%=%.rd)
GuideJA      = $(GuideFiles:%=%.htm)
GuideEN      = $(GuideFiles:%=%.htm.en)

##########################################################################
#== Rules
#
all:
	cd src; $(MAKE) $@
	cd gt4frt; $(MAKE) $@

doc: guide
	cd src; $(MAKE) $@
	cd doc; $(MAKE)

install: all mkprefix
	cd src;    $(MAKE) $@
	cd gt4frt; $(MAKE) $@

mkprefix:
	test -d $(prefix) || $(INSTALLDIR) $(prefix)
	test -d $(exec_prefix) || $(INSTALLDIR) $(exec_prefix)

install-doc:
	cd doc ; $(MAKE) install
	$(INSTALL) $(GuideJA) $(GuideEN) $(GuideFiles) ChangeLog COPYRIGHT $(prefix)

clean:
	cd src; $(MAKE) $@
	cd gt4frt; $(MAKE) $@
	cd test; $(MAKE) $@

distclean: clean
	-rm -f config.status chkfort.cfg chkgmake.cfg
	-rm -f config.cache config.log Config.mk
	@echo ""
	@echo "    Removing Config.mk,"
	@echo "      you should rerun ./configure to build gt4f90io."
	@echo ""

clean-doc: clean-guide
	cd src; $(MAKE) $@
	cd doc; $(MAKE) clean

test-f: all
	cd test; $(MAKE) $@

test: all
	cd test; $(MAKE) $@

test-c: all
	cd test; $(MAKE) $@

test-installed:
	cd gt4frt; $(MAKE) $@

test-installed-c:
	cd gt4frt; $(MAKE) $@

tags:
	perl src/f90tags src/*.f90

guide:
	@for file in $(GuideFiles) ; do \
	    echo $(CP) $${file} $${file}.rd ;\
	    $(CP) $${file} $${file}.rd ;\
	done
	$(MAKE) -f Makefile.rd2html
	$(RM) $(GuideRDFiles)

clean-guide:
	@if [ ! X"$(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles))" = X"" ]; then \
	    echo $(RM) $(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles)) ;\
	    $(RM) $(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles)) ;\
	fi

cl:
	@cvs2cl.pl --help > /dev/null 2>&1 || \
	    echo -e \
		"\n" \
		"    cvs2cl.pl is not found.\n" \
		"    Please get from http://www.red-bean.com/cvs2cl/\n"
	@cvs2cl.pl --help > /dev/null 2>&1 && \
	    echo -e \
		"This file is generated automatically by\n" \
		"\n" \
		"    cvs2cl.pl -r -b -t --fsf -w --header <This header>\n" \
		"\n" \
		`cvs2cl.pl --version` "\n" \
		"This script is available from "      \
		"http://www.red-bean.com/cvs2cl/\n\n" \
		    | cvs2cl.pl -r -b -t --fsf -w --header -
	rm ChangeLog.bak
	@echo -e "\n" "ChangeLog is Updated." "\n"

create-configure:
	@if [ ! -x /usr/bin/autoconf ]; then \
		echo -n "autoconf(1) is not valid. "; \
		echo "This is \"configure\" Generater."; \
		exit 1; \
	fi
	@if [ ! -r configure.in ]; then \
		echo -n "configure.in is not exists or not readable. "; \
		echo "This file needed for creating \"configure\"."; \
		exit 1; \
	fi
	@if [ ! -r aclocal.m4 ]; then \
		echo -n "aclocal.m4 is not exists or not readable. "; \
		echo "This file needed for creating \"configure\"."; \
		exit 1; \
	fi
	/usr/bin/autoconf
	@echo "\"configure\" Generated."

=== doc/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20070305 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE)

# End Settings
######################################################################

######################################################################
#== Set variables
#

all: rd2html rdoc rdoc-dev
	cd tutorial ; $(MAKE)

rd2html:
	$(MAKE) -f Makefile.rd2html

rdoc:
	$(MAKE) -f Makefile.rdoc

rdoc-dev:
	$(MAKE) -f Makefile.rdoc-dev

install:
	test -d $(DEST_DOC) || $(INSTALLDIR) $(DEST_DOC)
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd) $(DEST_DOC)
	cd images ; $(MAKE) $@
	cd tutorial ; $(MAKE) $@
	$(MAKE) $@ -f Makefile.rdoc
	$(MAKE) $@ -f Makefile.rdoc-dev

clean:

clean.all: clean-rd2html clean-rdoc clean-rdoc-dev

clean-rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

clean-rdoc:
	$(MAKE) clean -f Makefile.rdoc

clean-rdoc-dev:
	$(MAKE) clean -f Makefile.rdoc-dev

=== gt4frt/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io/gt4frt
#
# Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20070305 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
#vi: set ts=8 sw=4:
#
######################################################################
#
#== Settings
#
# [JAPANESE] Ƽ

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE) # Include file              (optional)
                       # [JA] 󥯥롼ɥե (Ǥ)
TARGET=gt4

TESTDIR  = ../test
TESTFILES= dc_string_test dc_url_test dc_args_test dc_hash_test \
	histinquire histtest histaxis histget histcopy
TESTS    = $(TESTFILES:%=../test/%)

# End Settings  [JA] ܤޤ
######################################################################


all: $(TARGET)frt$(gt4binsuffix) $(TARGET)config$(gt4binsuffix)

install: $(TARGET)frt$(gt4binsuffix)
	test -d $(DEST_BIN) || $(INSTALLDIR) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)frt$(gt4binsuffix) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)config$(gt4binsuffix) $(DEST_BIN)

$(TARGET)frt$(gt4binsuffix): gt4frtgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)frt$(gt4binsuffix)"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) \
		MODPATHFLAG=$(MODPATHFLAG) \
		FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt4frtgen.sh $@
	chmod +x $(TARGET)frt$(gt4binsuffix)

$(TARGET)config$(gt4binsuffix): gt4configgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)config$(gt4binsuffix)"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) \
		MODPATHFLAG=$(MODPATHFLAG) \
		FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt4configgen.sh $@
	chmod +x $(TARGET)config$(gt4binsuffix)

clean:
	-rm -f *~ $(TARGET)frt$(gt4binsuffix) $(TARGET)config$(gt4binsuffix)

test-installed: test-build test

test-installed-c: test-c

test-build: work.pcl
	@for i in $(TESTS) ; do \
	  $(DEST_BIN)/$(TARGET)frt$(gt4binsuffix) -c $$i.f90 -o $$i.o ;\
	  $(DEST_BIN)/$(TARGET)frt$(gt4binsuffix) -o $$i $$i.o ; \
	done

test:
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    echo "cd $(TESTDIR)" ; cd $(TESTDIR) ; \
	    echo "make $@"       ; make $@ ; \
	    echo "make clean"    ; make clean ; \
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   First, change directory to $(GT4DIR)/test ." ;\
	    echo "   Secondly, submit ..." ;\
	    echo "          $(TESTFILES)," ;\
	    echo "" ;\
	    echo "   Thirdly, change directory to $(GT4DIR) ." ;\
	    echo "   Last \"make test-installed-c\"" ;\
	    echo "" ;\
	    exit 1 ;\
	fi
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

test-c:
	cd $(TESTDIR) ; make $@ || exit 1 ; make clean
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(SYSFFLAGS) $(INCLUDE_GT)
	mv work.pcl ../test/

=== src/Makefile ===
#= Makefile for build of gt4f90io library in UNIX like platform
#
# Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20070305 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
include ../Config.mk

TARGET=lib$(LIBNAME).a

OBJS_A = \
      sysdepabort-$(SYSDEPABORT).o \
      sysdeparg-$(SYSDEPARG).o \
      sysdepenv-$(SYSDEPENV).o \
      dc_test.o \
      regex.o \
      dcstringbase_warnlim.o \
      dcstringsprintf.o dcstringfprintf.o dcstringcprintf.o \
      dc_trace.o \
      dc_string.o dc_types.o netcdf_f77.o sysdep.o \
      dc_error.o dc_url.o dc_units.o dcunits_com.o \
      dc_message.o dc_present.o \
      dc_date_types.o dcdatetimecreate.o dcdatetimeeval.o \
      dcdatetimesetcaltype.o dcdatetimesetsecofday.o \
      dcdatetimevalidcaltype.o dcdatetimezone.o \
      dcdatetimetochar.o dcdatetimeputline.o dc_date.o \
      dc_clock.o \
      dc_hash.o dc_args.o \
      an_types.o an_generic.o an_file.o an_vartable.o \
      anvarputattrchar.o anvarputattrint.o anvarputattrreal.o \
      anvarattr.o anvarattrtrue.o anvarclose.o anvarcreate.o \
      anvaropen.o \
      anattrgetnum.o \
      anattrgetchar.o \
      anvardelattr.o anvarsearch.o anvarsync.o anvarcreated.o \
      anattrinquire.o anvarattrcopy.o \
      anvarinquire.o \
      anvarinquire-ia.o \
      anvaropenbydimord.o anvartostring.o \
      anattrinquire.o \
      anxtypename.o \
      anvargetnum.o \
      anvarputnum.o \
      ansearchdim.o

OBJS_D = $(OBJS_A) \
      gt_mem.o \
      gt_vartable.o \
      gtdata_types.o \
      gtdata_generic.o \
      gtdata_internal.o \
      gt_vartable.o \
      gt_map.o \
      gtvardeldim.o \
      gtvaradddim.o \
      gtvarexchdim.o \
      gtdim_name2ord.o \
      gtdatatmpnam.o \
      gtvargetattrsc.o \
      gtvarsync.o \
      gtvargetslice.o \
      gtvarcopyattr.o \
      gtvarcopyattrall.o \
      gtvarcreatecopy.o \
      gtvargetattr.o \
      gtvarattrtrue.o \
      gtvardelattr.o \
      gtvarputattrchar.o \
      gtvaraddmember.o \
      gtvaropen.o \
      gtvarclose.o \
      gtvaropenbydimord.o \
      gtvarcreate.o \
      gtvarslice.o \
      gtvarslicenext.o \
      gtvarcreate.o \
      gtvarsliceauto.o \
      gtvargetsliceall.o \
      gtvarputline.o \
      gtvarsearch.o \
      gtvarattrsearch.o \
      gtvargetnum.o \
      gtvargetpointernum.o \
      gtvarputnum.o \
      gtvarinquire.o \
      gtvarlimit.o \
      gtvarlimitbinary.o \
      gtvarcreated.o \
      gtvarequivalent.o \
      gt4f90io.o \
      gt4_history.o \
      historyget.o \
      gt4_historyauto.o \
      hscrea.o hsavar.o hsclse.o \
      hsaatc.o hsaatr.o hsaatd.o hsaati.o \
      hsp1r.o hsp2d.o hsp3d.o hsp1d.o hsp2r.o hsp3r.o 


OBJS = $(OBJS_D)

RB2F90 = sysdepabort-abort.f90 \
	sysdepabort-exit.f90 sysdepabort-stop.f90 \
	sysdepabort-setrcd.f90 sysdepabort-errtra-setrcd.f90 \
	sysdeparg-common.f90 sysdeparg-hitachi.f90 \
	sysdepenv-common.f90 sysdepenv-nogetenv.f90 \
	dc_test.f90 dc_string.f90 \
	anattrgetnum.f90 anvargetnum.f90 gtdata_generic.f90 \
	gtvargetpointernum.f90 gtvargetnum.f90 anvarputnum.f90 \
	gtvarputnum.f90 dc_present.f90 \
	gt4_history.f90 historyget.f90


# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(TARGET)

install: $(TARGET)
	test -d $(DEST_LIB) || $(INSTALLDIR) $(DEST_LIB)
	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
	$(INSTALL) $(TARGET) $(DEST_LIB)
	$(RANLIB) $(DEST_LIB)/$(TARGET)
	$(INSTALL) $(MODS) $(MODINCS) $(DEST_INC)
	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
	    $(INSTALL) work.pc $(DEST_INC)/work.pc ;\
	fi

doc: $(HTML)

clean-doc:
	$(RM) $(HTML)

$(OBJS):

$(OBJS): work.pcl

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(SYSFFLAGS)

an: $(OBJS_A)
	$(AR) $(ARFLAGS) $(TARGET) $(OBJS_A)
	$(RANLIB) $(TARGET)

gtdata: $(OBJS_D)
	$(AR) $(ARFLAGS) $(TARGET) $(OBJS_D)
	$(RANLIB) $(TARGET)

$(TARGET): $(RB2F90) $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

#
#=== Files generated with ruby script
#
sysdepabort-abort.f90: sysdepabort.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=ABORT > $@ || \
	    touch $@

sysdepabort-exit.f90: sysdepabort.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=EXIT > $@ || \
	    touch $@

sysdepabort-stop.f90: sysdepabort.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=STOP > $@ || \
	    touch $@

sysdepabort-setrcd.f90: sysdepabort.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=SETRCD > $@ || \
	    touch $@

sysdepabort-errtra-setrcd.f90: sysdepabort.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=ERRTRA-SETRCD > $@ || \
	    touch $@

sysdeparg-common.f90: sysdeparg.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --argtype=COMMON > $@ || \
	    touch $@

sysdeparg-hitachi.f90: sysdeparg.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --argtype=HITACHI > $@ || \
	    touch $@

sysdepenv-common.f90: sysdepenv.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --envtype=COMMON > $@ || \
	    touch $@

sysdepenv-nogetenv.f90: sysdepenv.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --envtype=NOGETENV > $@ || \
	    touch $@

dc_test.f90: dc_test.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --max_dim=$(MAXDIM) > $@ || \
	    touch $@

dc_string.f90: dc_string.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

anattrgetnum.f90: anattrgetnum.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

anvargetnum.f90: anvargetnum.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

gtdata_generic.f90: gtdata_generic.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --gtvarget_dim=$(MAXDIM) --gtvarput_dim=$(MAXDIM) > $@ || \
	    touch $@

gtvargetpointernum.f90: gtvargetpointernum.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --gtvarget_dim=$(MAXDIM) > $@ || \
	    touch $@

gtvargetnum.f90: gtvargetnum.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

anvarputnum.f90: anvarputnum.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

gtvarputnum.f90: gtvarputnum.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --gtvarput_dim=$(MAXDIM) > $@ || \
	    touch $@

dc_present.f90: dc_present.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

historyget.f90: historyget.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --histget_dim=$(MAXDIM) > $@ || \
	    touch $@

gt4_history.f90: gt4_history.rb2f90
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< --histput_dim=$(MAXDIM) --histget_dim=$(MAXDIM) > $@ || \
	    touch $@

clean:
	-$(RM) $(MODS) *.o $(TARGET) work.pc*

clean.rb2f90:
	-$(RM) $(RB2F90)

depend: f90depend.rb Makefile
	$(RUBY) -v > /dev/null 2>&1 && \
	    $(RUBY) $< -q *.f90 > $@ || \
	    touch $@

include depend

tags: $(OBJS:.o=.f90)
	@if $(PERL) -v > /dev/null 2>&1 ; then \
	    echo $(PERL) f90tags $(OBJS:.o=.f90) ;\
	    $(PERL) f90tags $(OBJS:.o=.f90) ;\
	fi

Makefile.win: Makefile depend
	$(RUBY) gnumakefileparser-test.rb
	$(RUBY) gen-Makefile.win.rb --input $(shell echo $+ | sed -e 's/ /,/') --output $@

=== test/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io/test
#
# Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.19 2006/12/17 08:17:40 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20070305 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE)

INCLUDE_GT=$(MODPATHFLAG)../src
#INCLUDE_GT=-M../src     # SunStudio
LIBGT4=../src/lib$(LIBNAME).a

TARGETS=histtest histaxis histget histcopy #histauto

TARGETS_DC=dc_string_test dc_url_test dc_args_test dc_hash_test \
	dc_date_test dc_clock_test histinquire

CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* \
	dc_clock_test.tmp \
	xhisttest/xhisttest?.nc xhisttest/xhisttest*.cdl \
	xhistaxis/xhistaxis?.nc xhistaxis/xhistaxis*.cdl \
	xhistget/xhistget?.nc xhistget/xhistgetdif?.cdl \
	xhistcopy/xhistcopy?.nc xhistcopy/xhistcopy*.cdl \
	xhistinquire?.nc \
	xhistauto/tmp.nc xhistauto/tmp?.nc xhistauto/tmp?_??.nc \
	xhistauto/tmp?_????.nc

# End Settings
######################################################################

######################################################################
#== Rules
#

%: %.sh   # clear an implicit rule

all: $(LIBGT4) $(TARGETS_DC) $(TARGETS)

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(SYSFFLAGS) $(INCLUDE_GT)

$(LIBGT4):
	$(MAKE) -C ../src

clean:
	@if [ ! X"$(wildcard $(CLEANED))" = X"" ]; then \
		echo $(RM) $(wildcard $(CLEANED)) ;\
		$(RM) $(wildcard $(CLEANED)) ;\
	fi

test: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    for i in $(TARGETS_DC) $(TARGETS) ; do  \
	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
	      MKDIR=$(MKDIR) \
		 sh $$i.sh || \
	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
	    done ;\
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   After submitting ..." ;\
	    echo "          $(TARGETS_DC) $(TARGETS)," ;\
	    echo "" ;\
	    echo "   do \"make test-c\"" ;\
	    echo "" ;\
	    exit 1 ;\
	fi
	@echo ""
	@echo "   **** All Tests were Successful ****"
	@echo ""

test-f: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	-@for i in $(TARGETS_DC) $(TARGETS) ; do  \
	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
	      MKDIR=$(MKDIR) \
		 sh $$i.sh || \
	     echo "  $$i.sh: Error (continue mandatorily)";\
	done

test-c: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@for i in $(TARGETS) ; do  \
	  CROSS_COMPILING=$(CROSS_COMPILING) sh $$i.sh || exit 1; \
	done
	@echo ""
	@echo "   **** All Tests were Successful ****"
	@echo ""

=== debian/changelog ===
gt4f90io-g95 (20070305+20070330) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Apr 2007 02:45:06 +0900

## gt4f90io-g95 20070305+20070404

=== debian/changelog ===
gt4f90io-g95 (20070305+20070404) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  8 Apr 2007 02:45:05 +0900

## gt4f90io-g95 20070305+20070412

=== debian/changelog ===
gt4f90io-g95 (20070305+20070412) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Apr 2007 02:45:05 +0900

## gt4f90io-g95 20070417+20070418

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070305 $
+# Tag Name::  $Name: gt4f90io-20070417 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070305 $
+# Tag Name::  $Name: gt4f90io-20070417 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070305 $
+# Tag Name::  $Name: gt4f90io-20070417 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070305 $
+# Tag Name::  $Name: gt4f90io-20070417 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.19 2006/12/17 08:17:40 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070305 $
+# Tag Name::  $Name: gt4f90io-20070417 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20070417 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
######################################################################
#
#== Settings

INCLUDEFILE = ../../Config.mk
include $(INCLUDEFILE)

# End Settings
######################################################################

######################################################################
#== Set variables
#

all: rd2html

rd2html:
	$(MAKE) -f Makefile.rd2html

install:
	test -d $(DEST_DOC)/tutorial || $(INSTALLDIR) $(DEST_DOC)/tutorial
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd *.f90 *.f *.nc) $(DEST_DOC)/tutorial

clean:

clean.all: clean-rd2html

clean-rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

=== debian/changelog ===
gt4f90io-g95 (20070417+20070418) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Apr 2007 02:45:05 +0900

=== debian/control ===
Source: gt4f90io-g95
Section: math
Priority: optional
Maintainer: Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: gt4f90io-g95
Architecture: i386
Depends: g95, netcdf-g95
Suggests: netcdf-bin, gt4f90io-doc
Recommends:
Description: gt4f90io: Fortran90 netCDF I/O library with gtool4 convention
 built with G95 Fortran compiler
 gt4f90io is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool4 project.
 Please visit gtool4 project web site, http://www.gfd-dennou.org/library/gtool4.

## gt4f90io-g95 20070427+20070426

=== debian/changelog ===
gt4f90io-g95 (20070427+20070426) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 29 Apr 2007 02:45:04 +0900

## gt4f90io-g95 20070427+20070503

=== debian/changelog ===
gt4f90io-g95 (20070427+20070503) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  6 May 2007 02:45:04 +0900

## gt4f90io-g95 20070427+20070510

=== debian/changelog ===
gt4f90io-g95 (20070427+20070510) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 13 May 2007 02:45:04 +0900

## gt4f90io-g95 20070427+20070524

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070417 $
+# Tag Name::  $Name: gt4f90io-20070427 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070417 $
+# Tag Name::  $Name: gt4f90io-20070427 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070417 $
+# Tag Name::  $Name: gt4f90io-20070427 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070417 $
+# Tag Name::  $Name: gt4f90io-20070427 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.19 2006/12/17 08:17:40 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070417 $
+# Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070427 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -64,7 +64,7 @@
 	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
 	    for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
-	      MKDIR=$(MKDIR) \
+	      MKDIR=$(MKDIR) MAKE=$(MAKE) \
 		 sh $$i.sh || \
 	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
 	    done ;\
@@ -87,7 +87,7 @@
 	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
 	-@for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
-	      MKDIR=$(MKDIR) \
+	      MKDIR=$(MKDIR) MAKE=$(MAKE) \
 		 sh $$i.sh || \
 	     echo "  $$i.sh: Error (continue mandatorily)";\
 	done
@@ -96,7 +96,7 @@
 	@test -n "$(NCDUMP)" || \
 	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
 	@for i in $(TARGETS) ; do  \
-	  CROSS_COMPILING=$(CROSS_COMPILING) sh $$i.sh || exit 1; \
+	  CROSS_COMPILING=$(CROSS_COMPILING) MAKE=$(MAKE) sh $$i.sh || exit 1; \
 	done
 	@echo ""
 	@echo "   **** All Tests were Successful ****"

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070417 $
+# Tag Name::  $Name: gt4f90io-20070427 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20070427+20070524) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 27 May 2007 02:45:05 +0900

## gt4f90io-g95 20070427+20070529

=== debian/changelog ===
gt4f90io-g95 (20070427+20070529) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  3 Jun 2007 02:45:05 +0900

## gt4f90io-g95 20070427+20070604

=== debian/changelog ===
gt4f90io-g95 (20070427+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Jun 2007 02:45:04 +0900

## gt4f90io-g95 20070615+20070604

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io top directory
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
-# Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Version::   $Id: Makefile,v 1.10 2007/06/12 17:03:00 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #
@@ -63,8 +63,10 @@
 	cd test; $(MAKE) $@
 
 distclean: clean
-	-rm -f config.status chkfort.cfg chkgmake.cfg
-	-rm -f config.cache config.log Config.mk
+	-$(RM) -f config.status chkfort.cfg chkgmake.cfg
+	-$(RM) -f config.cache config.log Config.mk
+	-$(RM) -f autom4te.cache/*
+	-$(RMDIR) autom4te.cache
 	@echo ""
 	@echo "    Removing Config.mk,"
 	@echo "      you should rerun ./configure to build gt4f90io."

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20070615+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 16 Jun 2007 15:43:21 +0900

## gt4f90io-g95 20070616+20070604

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.10 2007/06/12 17:03:00 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070615 $
+# Tag Name::  $Name: gt4f90io-20070616 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070615 $
+# Tag Name::  $Name: gt4f90io-20070616 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070615 $
+# Tag Name::  $Name: gt4f90io-20070616 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070615 $
+# Tag Name::  $Name: gt4f90io-20070616 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070615 $
+# Tag Name::  $Name: gt4f90io-20070616 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070615 $
+# Tag Name::  $Name: gt4f90io-20070616 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20070616+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 16 Jun 2007 18:27:07 +0900

## gt4f90io-g95 20070620+20070604

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.10 2007/06/12 17:03:00 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070616 $
+# Tag Name::  $Name: gt4f90io-20070620 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070616 $
+# Tag Name::  $Name: gt4f90io-20070620 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070616 $
+# Tag Name::  $Name: gt4f90io-20070620 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070616 $
+# Tag Name::  $Name: gt4f90io-20070620 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070616 $
+# Tag Name::  $Name: gt4f90io-20070620 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070616 $
+# Tag Name::  $Name: gt4f90io-20070620 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20070620+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 21 Jun 2007 19:43:58 +0900

## gt4f90io-g95 20070629+20070627

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.10 2007/06/12 17:03:00 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070620 $
+# Tag Name::  $Name: gt4f90io-20070629 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070620 $
+# Tag Name::  $Name: gt4f90io-20070629 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070620 $
+# Tag Name::  $Name: gt4f90io-20070629 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070620 $
+# Tag Name::  $Name: gt4f90io-20070629 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070620 $
+# Tag Name::  $Name: gt4f90io-20070629 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070620 $
+# Tag Name::  $Name: gt4f90io-20070629 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20070629+20070627) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Jul 2007 02:45:05 +0900

## gt4f90io-g95 20070711+20070627

=== debian/changelog ===
gt4f90io-g95 (20070711+20070627) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 13 Jul 2007 16:15:58 +0900

## gt4f90io-g95 20070711+20070710

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.10 2007/06/12 17:03:00 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #= Makefile for build of gt4f90io library in UNIX like platform
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Version::   $Id: Makefile,v 1.40 2007/07/11 13:48:05 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -31,7 +31,7 @@
       dcdatetimesetcaltype.o dcdatetimesetsecofday.o \
       dcdatetimevalidcaltype.o dcdatetimezone.o \
       dcdatetimetochar.o dcdatetimeputline.o dc_date.o \
-      dc_clock.o \
+      dc_clock.o dc_iounit.o \
       dc_hash.o dc_args.o \
       an_types.o an_generic.o an_file.o an_vartable.o \
       anvarputattrchar.o anvarputattrint.o anvarputattrreal.o \

=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Version::   $Id: Makefile,v 1.22 2007/07/11 13:48:08 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -23,7 +23,7 @@
 TARGETS=histtest histaxis histget histcopy #histauto
 
 TARGETS_DC=dc_string_test dc_url_test dc_args_test dc_hash_test \
-	dc_date_test dc_clock_test histinquire
+	dc_date_test dc_clock_test dc_iounit_test histinquire
 
 CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* \
 	dc_clock_test.tmp \
@@ -34,6 +34,8 @@
 	xhistinquire?.nc \
 	xhistauto/tmp.nc xhistauto/tmp?.nc xhistauto/tmp?_??.nc \
 	xhistauto/tmp?_????.nc
+
+CLEANED_DIR=tmp_dc_iounit_test
 
 # End Settings
 ######################################################################
@@ -56,6 +58,10 @@
 	@if [ ! X"$(wildcard $(CLEANED))" = X"" ]; then \
 		echo $(RM) $(wildcard $(CLEANED)) ;\
 		$(RM) $(wildcard $(CLEANED)) ;\
+	fi
+	@if [ ! X"$(wildcard $(CLEANED_DIR))" = X"" ]; then \
+		echo $(RM) -r $(wildcard $(CLEANED_DIR)) ;\
+		$(RM) -r $(wildcard $(CLEANED_DIR)) ;\
 	fi
 
 test: all

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20070711+20070710) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Jul 2007 02:45:04 +0900

## gt4f90io-g95 20070720+20070710

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.10 2007/06/12 17:03:00 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070711 $
+# Tag Name::  $Name: gt4f90io-20070720 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.9 2006/08/27 16:13:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070711 $
+# Tag Name::  $Name: gt4f90io-20070720 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070711 $
+# Tag Name::  $Name: gt4f90io-20070720 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.40 2007/07/11 13:48:05 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070711 $
+# Tag Name::  $Name: gt4f90io-20070720 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.22 2007/07/11 13:48:08 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070711 $
+# Tag Name::  $Name: gt4f90io-20070720 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070711 $
+# Tag Name::  $Name: gt4f90io-20070720 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20070720+20070710) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Jul 2007 21:29:51 +0900
